Loading...
Searching...
No Matches
osmium::relations::MembersDatabaseCommon::counts Struct Reference

`#include <members_database.hpp>`

## Public Attributes

std::size_t | tracked = 0
| The number of members tracked and not found yet.
std::size_t | available = 0
| The number of members tracked and found already.
std::size_t | removed = 0
| The number of members that were tracked, found and then removed because of a completed relation.

## Detailed Description

Result from the count() function.

## Member Data Documentation

## available

std::size_t osmium::relations::MembersDatabaseCommon::counts::available = 0

The number of members tracked and found already.

## removed

std::size_t osmium::relations::MembersDatabaseCommon::counts::removed = 0

The number of members that were tracked, found and then removed because of a completed relation.

## tracked

std::size_t osmium::relations::MembersDatabaseCommon::counts::tracked = 0

The number of members tracked and not found yet.

The documentation for this struct was generated from the following file:

- include/osmium/relations/members_database.hpp